QGIS Application - Bug report #2336
loading a project from the command line results in broken rendering
2010-01-01 10:41 AM - Ricardo Silva

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 12396
Description

When calling qgis from the command-line with:

qgis --project path_to_project

The project gets loaded but the map canvas gets rendered incorrectly.

| am attaching two screenshots, one with the correct rendering and the one when | call qgis from the terminal with the --project flag.
Please note the incorrectly placed scale bar, north arrow and copyright info on the mapcanvas. Also please note that the map canvas

seems to think its size is much smaller than reality. Also, on the vector layer that is rendered, only one point is visible, whereas the layer
has more points.

History

#1 - 2010-01-01 11:06 AM - Ricardo Silva

It seems that this issue is related to the state of the qgis main window. | am usually working with qgis's window maximized. Now | noticed that if | load the
project from the command-line and then hit the unmaximize button, the window gets shorter (as expected) and also the rendering is back to normal. If | then
go back to a maximized window everything works fine. | think the project gets loaded before the window is maximized, and that causes the rendering to
become messed up.

#2 - 2010-06-12 12:19 AM - Paolo Cavallini

Still true for a recent QGIS?

#3 - 2010-06-12 04:40 AM - Ricardo Silva

yes, it still happens. Just tested it with QGIS 1.5.0-Trunk (rev. 13498) and the result is exactly the same as before. As noted in one of my previous

comments, if | unmaximize the window and the remaximize it things get back to normal.

#4 - 2011-03-07 08:48 AM - Anne Ghisla

| can notice a slight change in scale when | follow these steps:

1- Open QGIS maximised, load a layer, save the project as it is
2- Reopen the project, unmaximise the window, when asked if to save the project, say no

3- Reopen the project, so that QGIS will remember last window size (unmaximised) while the project was saved full with the maximised window.

It is a small changement, not as big as the attached screenshot show, even if i change window size and proportions a lot. If you can share the point data
and the project that causes the problem, I'll try to reproduce the bug.

#5 - 2011-12-16 01:57 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:22 AM - Paolo Cavallini
- Affected QGIS version set to master
- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2014-06-28 07:37 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2015-11-14 05:40 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Hello, bug triage...

| can't reproduce this anymore with QGIS 2.13 master using whatever decoration (north arrow/copyright/scale bar) and whatever data (points/polygons).
There is also no problem with the size of the main QGIS window and the loading of the project from the command line.

| am closing this bug...

Files
correctRender.png 105 KB 2010-01-01 Ricardo Silva
incorrectRender.png 106 KB 2010-01-01 Ricardo Silva

2025-04-26 22



